0.9.9 API documenation: GLM_GTX_matrix_major_storage

| 0.9.9 API documenation

- Main Page
- Modules
- Files

Functions
GLM_GTX_matrix_major_storage
GTX Extensions (Experimental)

Build matrices with specific matrix order, row or column. More...

## Functions
template<typename T , precision P>
GLM_FUNC_DECL tmat2x2< T, P > | colMajor2 (tvec2< T, P > const &v1, tvec2< T, P > const &v2)
| Build a column major matrix from column vectors. More...
template<typename T , precision P>
GLM_FUNC_DECL tmat2x2< T, P > | colMajor2 (tmat2x2< T, P > const &m)
| Build a column major matrix from other matrix. More...
template<typename T , precision P>
GLM_FUNC_DECL tmat3x3< T, P > | colMajor3 (tvec3< T, P > const &v1, tvec3< T, P > const &v2, tvec3< T, P > const &v3)
| Build a column major matrix from column vectors. More...
template<typename T , precision P>
GLM_FUNC_DECL tmat3x3< T, P > | colMajor3 (tmat3x3< T, P > const &m)
| Build a column major matrix from other matrix. More...
template<typename T , precision P>
GLM_FUNC_DECL tmat4x4< T, P > | colMajor4 (tvec4< T, P > const &v1, tvec4< T, P > const &v2, tvec4< T, P > const &v3, tvec4< T, P > const &v4)
| Build a column major matrix from column vectors. More...
template<typename T , precision P>
GLM_FUNC_DECL tmat4x4< T, P > | colMajor4 (tmat4x4< T, P > const &m)
| Build a column major matrix from other matrix. More...
template<typename T , precision P>
GLM_FUNC_DECL tmat2x2< T, P > | rowMajor2 (tvec2< T, P > const &v1, tvec2< T, P > const &v2)
| Build a row major matrix from row vectors. More...
template<typename T , precision P>
GLM_FUNC_DECL tmat2x2< T, P > | rowMajor2 (tmat2x2< T, P > const &m)
| Build a row major matrix from other matrix. More...
template<typename T , precision P>
GLM_FUNC_DECL tmat3x3< T, P > | rowMajor3 (tvec3< T, P > const &v1, tvec3< T, P > const &v2, tvec3< T, P > const &v3)
| Build a row major matrix from row vectors. More...
template<typename T , precision P>
GLM_FUNC_DECL tmat3x3< T, P > | rowMajor3 (tmat3x3< T, P > const &m)
| Build a row major matrix from other matrix. More...
template<typename T , precision P>
GLM_FUNC_DECL tmat4x4< T, P > | rowMajor4 (tvec4< T, P > const &v1, tvec4< T, P > const &v2, tvec4< T, P > const &v3, tvec4< T, P > const &v4)
| Build a row major matrix from row vectors. More...
template<typename T , precision P>
GLM_FUNC_DECL tmat4x4< T, P > | rowMajor4 (tmat4x4< T, P > const &m)
| Build a row major matrix from other matrix. More...

## Detailed Description

Build matrices with specific matrix order, row or column.

<glm/gtx/matrix_major_storage.hpp> need to be included to use these functionalities.

## Function Documentation

GLM_FUNC_DECL tmat2x2<T, P> glm::colMajor2 | ( | tvec2< T, P > const & | v1,
|  | tvec2< T, P > const & | v2
| ) |  |

Build a column major matrix from column vectors.

From GLM_GTX_matrix_major_storage extension.

GLM_FUNC_DECL tmat2x2<T, P> glm::colMajor2 | ( | tmat2x2< T, P > const & | m | ) |

Build a column major matrix from other matrix.

From GLM_GTX_matrix_major_storage extension.

GLM_FUNC_DECL tmat3x3<T, P> glm::colMajor3 | ( | tvec3< T, P > const & | v1,
|  | tvec3< T, P > const & | v2,
|  | tvec3< T, P > const & | v3
| ) |  |

Build a column major matrix from column vectors.

From GLM_GTX_matrix_major_storage extension.

GLM_FUNC_DECL tmat3x3<T, P> glm::colMajor3 | ( | tmat3x3< T, P > const & | m | ) |

Build a column major matrix from other matrix.

From GLM_GTX_matrix_major_storage extension.

GLM_FUNC_DECL tmat4x4<T, P> glm::colMajor4 | ( | tvec4< T, P > const & | v1,
|  | tvec4< T, P > const & | v2,
|  | tvec4< T, P > const & | v3,
|  | tvec4< T, P > const & | v4
| ) |  |

Build a column major matrix from column vectors.

From GLM_GTX_matrix_major_storage extension.

GLM_FUNC_DECL tmat4x4<T, P> glm::colMajor4 | ( | tmat4x4< T, P > const & | m | ) |

Build a column major matrix from other matrix.

From GLM_GTX_matrix_major_storage extension.

GLM_FUNC_DECL tmat2x2<T, P> glm::rowMajor2 | ( | tvec2< T, P > const & | v1,
|  | tvec2< T, P > const & | v2
| ) |  |

Build a row major matrix from row vectors.

From GLM_GTX_matrix_major_storage extension.

GLM_FUNC_DECL tmat2x2<T, P> glm::rowMajor2 | ( | tmat2x2< T, P > const & | m | ) |

Build a row major matrix from other matrix.

From GLM_GTX_matrix_major_storage extension.

GLM_FUNC_DECL tmat3x3<T, P> glm::rowMajor3 | ( | tvec3< T, P > const & | v1,
|  | tvec3< T, P > const & | v2,
|  | tvec3< T, P > const & | v3
| ) |  |

Build a row major matrix from row vectors.

From GLM_GTX_matrix_major_storage extension.

GLM_FUNC_DECL tmat3x3<T, P> glm::rowMajor3 | ( | tmat3x3< T, P > const & | m | ) |

Build a row major matrix from other matrix.

From GLM_GTX_matrix_major_storage extension.

GLM_FUNC_DECL tmat4x4<T, P> glm::rowMajor4 | ( | tvec4< T, P > const & | v1,
|  | tvec4< T, P > const & | v2,
|  | tvec4< T, P > const & | v3,
|  | tvec4< T, P > const & | v4
| ) |  |

Build a row major matrix from row vectors.

From GLM_GTX_matrix_major_storage extension.

GLM_FUNC_DECL tmat4x4<T, P> glm::rowMajor4 | ( | tmat4x4< T, P > const & | m | ) |

Build a row major matrix from other matrix.

From GLM_GTX_matrix_major_storage extension.